Skip to main content
GET
/
chat
/
sessions
List chat sessions
curl --request GET \
  --url https://api.open.cx/chat/sessions
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "open",
      "ai_closure_type": "assumed_resolved",
      "sentiment": "angry",
      "channel": {
        "type": "web"
      },
      "ticket_number": 123,
      "assist_mode": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "contact": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "phone_number": "<string>",
        "name": "<string>",
        "custom_data": {}
      },
      "language": "<string>",
      "assignee_id": "<string>",
      "custom_data": {},
      "team": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>"
      },
      "handoff": {
        "summary": "<string>",
        "sentiment": "angry"
      },
      "ticketing_system": {
        "name": "dynamics365",
        "external_id": "<string>",
        "id_type": "conversation_id"
      }
    }
  ],
  "next": "<string>"
}

Query Parameters

cursor
string

Pagination cursor to fetch the next set of results

handed_off
boolean

Filter by handoff status. Use "true" or "false"

status
string

Filter by session status (open, closed_resolved, closed_unresolved)

channel_type
enum<string>
Available options:
web,
email,
phone_voice,
slack,
sms,
whatsapp,
instagram,
messenger,
api,
web_voice
created_after
string

Filter sessions created after this ISO 8601 timestamp

created_before
string

Filter sessions created before this ISO 8601 timestamp

updated_after
string

Filter sessions updated after this ISO 8601 timestamp

updated_before
string

Filter sessions updated before this ISO 8601 timestamp

Response

Default Response

items
object[]
required
next
string | null
required